## helma.util
Class WeakCacheMap

    java.lang.Object
      helma.util.CacheMap
          helma.util.WeakCacheMap

All Implemented Interfaces:
  ObjectCache

    public class WeakCacheMap

extends CacheMap

A CacheMap subclass that uses WeakHashMaps internally for its rotating tables.

Constructor Summary
`WeakCacheMap(int capacity)`
`WeakCacheMap(int capacity, float loadFactor)`

Method Summary
`protected java.util.Map` `createTable(int capacity, float loadFactor)` Overridden to return a java.util.WeakHashMap instance.

Methods inherited from class helma.util.CacheMap
`clear, containsKey, containsKeys, containsValue, get, getCachedObjects, init, isEmpty, put, remove, setCapacity, shutdown, size, toString, updateProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeakCacheMap

    public WeakCacheMap(int capacity)

### WeakCacheMap

    public WeakCacheMap(int capacity,
                        float loadFactor)

Method Detail

### createTable

    protected java.util.Map createTable(int capacity,
                                        float loadFactor)

  Overridden to return a java.util.WeakHashMap instance.

  Overrides:
    `createTable` in class `CacheMap`
  Parameters:
    `capacity` - the initial capacity
    `loadFactor` - the load factor
  Returns:
    a new Map used for internal caching

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.